org.apache.felix.utils.extender

## Interface Extension

All Known Implementing Classes:
  SimpleExtension

    public interface Extension

A simple interface used by the extender to manage extensions.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `destroy()` Destroy should be synchronous and only return when the extension has been fully destroyed.
`void` `start()` Start this extension.

### Method Detail

#### start

    void start()
        throws Exception

Start this extension. Starting and stopping of the extension should be synchronized.

Throws:
  `Exception` - If starting fails.

#### destroy

    void destroy()
          throws Exception

Destroy should be synchronous and only return when the extension has been fully destroyed. In addition it must be synchronized with start, because start() and destroy() can be called concurrently.

Throws:
  `Exception` - If destroying fails.